package com.xhpc.general.service;

import com.xhpc.common.core.web.domain.AjaxResult;
import com.xhpc.general.domain.XhpcAgreement;

import java.util.List;

/**
 * 协议管理Service接口
 * program: ruoyi
 * User: HongYun
 * Date:2021-08-03 09
 */
public interface IXhpcAgreementService {

    AjaxResult deleteAgreementItem(Long agreementId,String tenantId);


    AjaxResult insertAgreementItem(String title,Integer type,String content,String tenantId);

    AjaxResult updateAgreementItem(Long agreementId,String title,Integer type,String content,String tenantId);

    List<XhpcAgreement> selectAgreementItems(String title, String createBy,Integer type,String tenantId);

    XhpcAgreement selectAgreementItem(Long agreementId);

    XhpcAgreement selectContent(Integer type,String tenantId);
}
